AM263Px MCU+ SDK: PBIST Low-Level API

| AM263Px MCU+ SDK 26.00.00 |

Data Structures | Functions | Macros
PBIST Low-Level API
APIs for SDL Module » APIs for PBIST (Memory Built-In Self Test)

## Introduction

## Data Structures
struct | SDL_PBIST_config
| This structure contains the different configuration used for PBIST. More...
struct | SDL_PBIST_configNeg
| This structure contains the different configuration used for PBIST for the failure insertion test to generate negative result. More...

## Functions
int32_t | SDL_PBIST_softReset (SDL_pbistRegs *pPBISTRegs)
| PBIST Soft reset. More...
int32_t | SDL_PBIST_start (SDL_pbistRegs *pPBISTRegs, const SDL_PBIST_config *pConfig)
| PBIST Start. More...
int32_t | SDL_PBIST_startNeg (SDL_pbistRegs *pPBISTRegs, const SDL_PBIST_configNeg *pConfig)
| PBIST Failure Insertion Test Start. More...
int32_t | SDL_PBIST_checkResult (const SDL_pbistRegs *pPBISTRegs, bool *pResult)
| PBIST check result. More...
int32_t | SDL_PBIST_releaseTestMode (SDL_pbistRegs *pPBISTRegs)
| PBIST Release Test mode. More...
int32_t | SDL_PBIST_Instance (SDL_PBIST_inst instance)
| PBIST Instance. More...

## Macros
#define | PBIST_MAX_NUM_RUNS 45U

## Macro Definition Documentation

## ◆ PBIST_MAX_NUM_RUNS

#define PBIST_MAX_NUM_RUNS 45U

## Function Documentation

## ◆ SDL_PBIST_softReset()

int32_t SDL_PBIST_softReset | ( | SDL_pbistRegs * | pPBISTRegs | ) |

PBIST Soft reset.

This function resets PBIST Module. In general called before running a new test.

Parameters

  pPBISTRegs | [IN] Pointer to PBIST registers base

Returns
  The SDL error code for the API. If pBISTRegs is NULL: SDL_EBADARGS Success: SDL_PASS

## ◆ SDL_PBIST_start()

int32_t SDL_PBIST_start | ( | SDL_pbistRegs * | pPBISTRegs,
|  | const SDL_PBIST_config * | pConfig
| ) |  |

PBIST Start.

This function configures the paramters for PBIST and starts execution.

Parameters

  pPBISTRegs | [IN] Pointer to PBIST registers base
  pConfig | [IN] Pointer to PBIST configuration

Returns
  The SDL error code for the API. If pBISTRegs or pConfig is NULL : SDL_EBADARGS Success: SDL_PASS

## ◆ SDL_PBIST_startNeg()

int32_t SDL_PBIST_startNeg | ( | SDL_pbistRegs * | pPBISTRegs,
|  | const SDL_PBIST_configNeg * | pConfig
| ) |  |

PBIST Failure Insertion Test Start.

This function configures the parameters for PBIST Test for Diagnostics to insert a failure to generate the negative result and starts execution.

Parameters

  pPBISTRegs | [IN] Pointer to PBIST registers base
  pConfig | [IN] Pointer to PBIST configuration

Returns
  The SDL error code for the API. If pBISTRegs or pConfig in NULL : SDL_EBADARGS Success: SDL_PASS

## ◆ SDL_PBIST_checkResult()

int32_t SDL_PBIST_checkResult | ( | const SDL_pbistRegs * | pPBISTRegs,
|  | bool * | pResult
| ) |  |

PBIST check result.

This function checks if PBIST test has passed.

Parameters

  pPBISTRegs | [IN] Pointer to PBIST registers base
  pResult | [OUT] Pointer to variable to indicate result

Returns
  The SDL error code for the API. If pBISTRegs or pResult is NULL: SDL_EBADARGS Success: SDL_PASS

## ◆ SDL_PBIST_releaseTestMode()

int32_t SDL_PBIST_releaseTestMode | ( | SDL_pbistRegs * | pPBISTRegs | ) |

PBIST Release Test mode.

This function releases test mode. In general called after test is complete to switch back to normal operation.

Parameters

  pPBISTRegs | [IN] Pointer to PBIST registers base

Returns
  The SDL error code for the API. If pBISTRegs is NULL: SDL_EBADARGS Success: SDL_PASS

## ◆ SDL_PBIST_Instance()

int32_t SDL_PBIST_Instance | ( | SDL_PBIST_inst | instance | ) |

PBIST Instance.

This function specifies the PBITST Instance

Parameters

  instance | [IN] Value of PBIST instance